#!/bin/sh

# SPDX-FileCopyrightText: 2021 Melg Eight <public.melg8@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later

../gnulib-d279bc/gnulib-tool --import --local-dir=gl \
    --lib=libcoreutils \
    --source-base=lib \
    --m4-base=m4 \
    --doc-base=doc \
    --tests-base=gnulib-tests \
    --aux-dir=build-aux \
    --with-tests \
    --makefile-name=gnulib.mk \
    --no-conditional-dependencies \
    --no-libtool \
    --macro-prefix=gl \
    --avoid=canonicalize-lgpl \
    --avoid=dummy \
    acl \
    alignof \
    alloca \
    announce-gen \
    areadlink-with-size \
    argmatch \
    argv-iter \
    assert \
    autobuild \
    backup-rename \
    backupfile \
    base32 \
    base64 \
    btowc \
    buffer-lcm \
    c-strcase \
    calloc-gnu \
    canon-host \
    canonicalize \
    chmodat \
    chown \
    chownat \
    cl-strtod \
    cl-strtold \
    cloexec \
    closein \
    closeout \
    config-h \
    configmake \
    crypto/md5 \
    crypto/sha1 \
    crypto/sha256 \
    crypto/sha512 \
    cycle-check \
    d-ino \
    d-type \
    di-set \
    diacrit \
    dirfd \
    dirname \
    do-release-commit-and-tag \
    dtoastr \
    dup2 \
    environ \
    error \
    euidaccess \
    exclude \
    exitfail \
    explicit_bzero \
    faccessat \
    fadvise \
    fchdir \
    fclose \
    fcntl \
    fcntl-safer \
    fd-reopen \
    fdatasync \
    fdl \
    fdopen \
    fdutimensat \
    file-has-acl \
    file-type \
    fileblocks \
    filemode \
    filenamecat \
    filevercmp \
    flexmember \
    fnmatch-gnu \
    fopen-safer \
    fprintftime \
    freopen \
    freopen-safer \
    fseeko \
    fstatat \
    fsusage \
    fsync \
    ftoastr \
    ftruncate \
    fts \
    full-read \
    full-write \
    getgroups \
    gethrxtime \
    getline \
    getloadavg \
    getlogin \
    getndelim2 \
    getopt-gnu \
    getpagesize \
    getpass-gnu \
    gettext-h \
    gettime \
    gettimeofday \
    getugroups \
    getusershell \
    git-version-gen \
    gitlog-to-changelog \
    gnu-make \
    gnu-web-doc-update \
    gnumakefile \
    gnupload \
    group-member \
    hard-locale \
    hash \
    hash-pjw \
    heap \
    host-os \
    human \
    idcache \
    ignore-value \
    inttostr \
    inttypes \
    isapipe \
    isatty \
    isblank \
    largefile \
    lchmod \
    lchown \
    ldtoastr \
    lib-ignore \
    linebuffer \
    link \
    link-follow \
    linkat \
    long-options \
    lstat \
    maintainer-makefile \
    malloc-gnu \
    manywarnings \
    mbrlen \
    mbrtowc \
    mbsalign \
    mbschr \
    mbslen \
    mbswidth \
    memcasecmp \
    memchr \
    memcmp2 \
    mempcpy \
    memrchr \
    mgetgroups \
    minmax \
    mkancesdirs \
    mkdir \
    mkdir-p \
    mkfifo \
    mknod \
    mkostemp \
    mkstemp \
    mktime \
    modechange \
    mountlist \
    mpsort \
    netinet_in \
    non-recursive-gnulib-prefix-hack \
    nproc \
    nstrftime \
    obstack \
    open \
    openat-safer \
    parse-datetime \
    pathmax \
    perl \
    physmem \
    pipe-posix \
    pipe2 \
    posix-shell \
    posixtm \
    posixver \
    priv-set \
    progname \
    pthread-cond \
    pthread-mutex \
    pthread-thread \
    pthread_sigmask \
    putenv \
    quote \
    quotearg \
    randint \
    randperm \
    read-file \
    readlink \
    readtokens \
    readtokens0 \
    readutmp \
    realloc-gnu \
    regex \
    remove \
    rename \
    renameat \
    renameatu \
    rmdir \
    root-dev-ino \
    rpmatch \
    safe-read \
    same \
    save-cwd \
    savedir \
    savewd \
    select \
    selinux-at \
    setenv \
    settime \
    sig2str \
    sigaction \
    smack \
    ssize_t \
    stat-macros \
    stat-size \
    stat-time \
    statat \
    stdbool \
    stdlib-safer \
    stpcpy \
    stpncpy \
    strdup-posix \
    strncat \
    strnumcmp \
    strsignal \
    strtoimax \
    strtoumax \
    symlinkat \
    sys_ioctl \
    sys_resource \
    sys_stat \
    sys_wait \
    tempname \
    termios \
    time_rz \
    timer-time \
    timespec \
    tzset \
    uname \
    unistd-safer \
    unlink-busy \
    unlinkat \
    unlinkdir \
    unlocked-io \
    unsetenv \
    update-copyright \
    uptime \
    useless-if-before-free \
    userspec \
    utimecmp \
    utimens \
    vasprintf-posix \
    vc-list-files \
    verify \
    verror \
    version-etc-fsf \
    wchar-single \
    wcswidth \
    wcwidth \
    winsz-ioctl \
    winsz-termios \
    write-any-file \
    xalloc \
    xbinary-io \
    xdectoint \
    xfts \
    xgetcwd \
    xgetgroups \
    xgethostname \
    xmemcoll \
    xnanosleep \
    xprintf \
    xprintf-posix \
    xreadlink \
    xstrtod \
    xstrtoimax \
    xstrtol \
    xstrtol-error \
    xstrtold \
    xstrtoumax \
    year2038 \
    yesno

../gnulib-d279bc/build-aux/prefix-gnulib-mk --lib-name=libcoreutils lib/gnulib.mk
